calcite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yuzhao Chen <yuzhao....@gmail.com>
Subject Re: Elasticsearch Adapter. Dropping support for 2.x and 5.x versions.
Date Wed, 22 May 2019 01:45:24 GMT
+1 for only support one valid version.

Best,
Danny Chan
在 2019年5月22日 +0800 AM6:48,Julian Hyde <jhyde@apache.org>,写道:
> +1
>
> Better to stay current. And it’s inefficient for us to support multiple versions.
>
> If people need 2.x or 5.x they can use an older version of Calcite (or roll their own
version of the adapter).
>
> > On May 21, 2019, at 3:46 PM, Stamatis Zampetakis <zabetak@gmail.com> wrote:
> >
> > +1
> >
> > On Wed, May 22, 2019 at 12:44 AM Francis Chuang <francischuang@apache.org>
> > wrote:
> >
> > > +1 As those versions are already EoLed and are no longer supported and
> > > will not receive any patches, it makes sense for us to stop supporting
> > > them as well.
> > >
> > > On 22/05/2019 8:36 am, Andrei Sereda wrote:
> > > > Hello,
> > > >
> > > > Following CALCITE-3023 Upgrade to Elasticsearch 7.0.0 [1] we'll be
> > > dropping
> > > > support for ES types (not to be confused with calcite types) in elastic
> > > > search [2].
> > > >
> > > > Are people OK with requiring at least 6.x for elastic search adapter ?
> > > >
> > > > According to official support schedule [3] 2.x, 5.x and 6.0.x are already
> > > > EoL.
> > > >
> > > > Regards,
> > > > Andrei.
> > > >
> > > > [1] https://issues.apache.org/jira/browse/CALCITE-3023
> > > > [2]
> > > >
> > > https://www.elastic.co/guide/en/elasticsearch/reference/7.0/removal-of-types.html
> > > > [3] https://www.elastic.co/support/eol
> > > >
> > >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message